List Tin Verifications
curl --request GET \
--url https://api.baselayer.com/tin_verifications \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.baselayer.com/tin_verifications"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.baselayer.com/tin_verifications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "f5067592-dbb8-4405-a557-6d5056514cae",
"state": "COMPLETED",
"name": "Acme Corporation",
"tin": "123456789",
"created_at": "2026-08-31T10:31:07.816900",
"address": "123 Main St, Anytown, USA",
"tin_matched": true,
"warnings": [
"IRS Validation is unavailable."
],
"tin_match_type": "SSN"
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}TIN Verification
List Tin Verifications
List all Federations that the authenticated actor has access to.
GET
/
tin_verifications
List Tin Verifications
Authorizations
Query Parameters
Required range:
x >= 1Required range:
x >= 0A search query to limit the TIN Verifications returned by matching on ID, name, or external ID.
Example:
"Acme, Inc."
Response
Successful Response
The unique identifier of the TIN verification request.
Example:
"f5067592-dbb8-4405-a557-6d5056514cae"
The status of the TIN verification request.
Available options:
PENDING, EXECUTING, COMPLETED, FAILED, CANCELLED Example:
"COMPLETED"
The name inputted in the search.
Example:
"Acme Corporation"
The TIN inputted in the search.
Required string length:
9Example:
"123456789"
The date and time when the TIN verification request was created.
Example:
"2026-08-31T10:31:07.816900"
The address inputted in the search.
Maximum string length:
500Example:
"123 Main St, Anytown, USA"
Indicates whether the inputted TIN/EIN was a match, per the IRS.
Example:
true
Any warnings that occurred.
Example:
["IRS Validation is unavailable."]
The type of match that occurred.
Available options:
SSN, EIN, UNKNOWN Example:
"SSN"